#include "main.h"
#include "map_draw.h"

int cardFormat();
extern float preGsh1;
extern float preGsh2;
extern UBYTE globalPause;
extern PKMDWORD tmpVertexBuffer;
extern int depthBump;
extern UBYTE globalDeathOn;
extern KMSURFACEDESC pauseSurface;		
extern UBYTE pauseOn;
extern UBYTE skipPassSwap;
extern SHORT invFirstTex;
	   


//fn definitions the chickens have forgotten - obviously doesn't cause them compile errors....
int emptyPrintf(char* format, ...);
void inventoryPlanViewCycle(void);
void helpPrintInventoryMessages(void);
void inventoryDrawCrossOnPlan(void);
void dogchaseEndRestart(void);
void dogchaseDrawDeadMessage(void);
void crateEndFail(void);
void crateEndSuccess(void);
void crateDrawBriefing(void);
void main_EnsureOverlay(int empty);
void transformVertexListA_ZeroCam(long *p);
void direct2PsiDrawInsertionPrimitivesDC(PSIMODEL *model, long *tfv,long *tfd);
void direct2PsiDrawInsertionPrimitivesPrelitDepthCheckDC(PSIMODEL *model, long *tfv,long *tfd);
void direct2PsiFixupPrimsDC(PSIMODEL *psiModel);
void MapDraw_DrawSkyMeshDC(FMA_SKYMESH_HEADER *mesh);
void MapDraw_DrawFMA_Mesh3DC(WORLD_MESH_INSTANCE *instance, int depthscaler);
void direct2PsiDrawFlattenedPrimitivesDC(PSIMODEL *model, long *tfv,long *tfd);
void fontSetPrintDepth(int depth);
void dcSetVertexBuffer();
void dcGetVertexBuffer();
void memoryShowStats();
void memoryShow();
void zpCheck(char *str);
void emptyInit();
void emptyClip(short cx1, short cy1, short cx2, short cy2,int depth);
void emptyStartClip();
void emptyDestroyRenderTexture();
int emptyInitRenderTexture();
